Index: protocols/msn/sb.c
===================================================================
--- protocols/msn/sb.c	(revision 4f161e3abeecee0722487e9d61a85f6c953d11bd)
+++ protocols/msn/sb.c	(revision 5ff46180e5378acd6d103d9314175c78530bda7e)
@@ -732,91 +667,84 @@
 #if 0
 		// Disable MSN ft support for now.
-		else if( g_strncasecmp( ct, "text/x-msmsgsinvite", 19 ) == 0 )
-		{
-			char *command = get_rfc822_header( body, "Invitation-Command:", blen );
-			char *cookie = get_rfc822_header( body, "Invitation-Cookie:", blen );
+		else if (g_strncasecmp(ct, "text/x-msmsgsinvite", 19) == 0) {
+			char *command = get_rfc822_header(body, "Invitation-Command:", blen);
+			char *cookie = get_rfc822_header(body, "Invitation-Cookie:", blen);
 			unsigned int icookie;
-			
-			g_free( ct );
-			
+
+			g_free(ct);
+
 			/* Every invite should have both a Command and Cookie header */
-			if( !command || !cookie ) {
-				g_free( command );
-				g_free( cookie );
-				imcb_log( ic, "Warning: No command or cookie from %s", sb->who );
+			if (!command || !cookie) {
+				g_free(command);
+				g_free(cookie);
+				imcb_log(ic, "Warning: No command or cookie from %s", sb->who);
 				return 1;
 			}
-			
-			icookie = strtoul( cookie, NULL, 10 );
-			g_free( cookie );
-			
-			if( g_strncasecmp( command, "INVITE", 6 ) == 0 ) {
-				msn_invitation_invite( sb, cmd[1], icookie, body, blen );
-			} else if( g_strncasecmp( command, "ACCEPT", 6 ) == 0 ) {
-				msn_invitation_accept( sb, cmd[1], icookie, body, blen );
-			} else if( g_strncasecmp( command, "CANCEL", 6 ) == 0 ) {
-				msn_invitation_cancel( sb, cmd[1], icookie, body, blen );
+
+			icookie = strtoul(cookie, NULL, 10);
+			g_free(cookie);
+
+			if (g_strncasecmp(command, "INVITE", 6) == 0) {
+				msn_invitation_invite(sb, cmd[1], icookie, body, blen);
+			} else if (g_strncasecmp(command, "ACCEPT", 6) == 0) {
+				msn_invitation_accept(sb, cmd[1], icookie, body, blen);
+			} else if (g_strncasecmp(command, "CANCEL", 6) == 0) {
+				msn_invitation_cancel(sb, cmd[1], icookie, body, blen);
 			} else {
-				imcb_log( ic, "Warning: Received invalid invitation with "
-						"command %s from %s", command, sb->who );
-			}
-			
-			g_free( command );
+				imcb_log(ic, "Warning: Received invalid invitation with "
+				         "command %s from %s", command, sb->who);
+			}
+
+			g_free(command);
 		}
 #endif
-		else if( g_strncasecmp( ct, "application/x-msnmsgrp2p", 24 ) == 0 ) 
-		{
+		else if (g_strncasecmp(ct, "application/x-msnmsgrp2p", 24) == 0) {
 			/* Not currently implemented. Don't warn about it since
 			   this seems to be used for avatars now. */
-			g_free( ct );
-		}
-		else if( g_strncasecmp( ct, "text/x-msmsgscontrol", 20 ) == 0 )
-		{
-			char *who = get_rfc822_header( msg, "TypingUser:", msglen );
-			
-			if( who )
-			{
-				imcb_buddy_typing( ic, who, OPT_TYPING );
-				g_free( who );
-			}
-			
-			g_free( ct );
-		}
-		else
-		{
-			g_free( ct );
-		}
-	}
-	
-	return( 1 );
-}
-
-static gboolean msn_sb_keepalive( gpointer data, gint source, b_input_condition cond )
+			g_free(ct);
+		} else if (g_strncasecmp(ct, "text/x-msmsgscontrol", 20) == 0) {
+			char *who = get_rfc822_header(msg, "TypingUser:", msglen);
+
+			if (who) {
+				imcb_buddy_typing(ic, who, OPT_TYPING);
+				g_free(who);
+			}
+
+			g_free(ct);
+		} else {
+			g_free(ct);
+		}
+	}
+
+	return(1);
+}
+
+static gboolean msn_sb_keepalive(gpointer data, gint source, b_input_condition cond)
 {
 	struct msn_switchboard *sb = data;
-	return sb->ready && msn_sb_sendmessage( sb, SB_KEEPALIVE_MESSAGE );
-}
-
-void msn_sb_start_keepalives( struct msn_switchboard *sb, gboolean initial )
+
+	return sb->ready && msn_sb_sendmessage(sb, SB_KEEPALIVE_MESSAGE);
+}
+
+void msn_sb_start_keepalives(struct msn_switchboard *sb, gboolean initial)
 {
 	bee_user_t *bu;
-	
-	if( sb && sb->who && sb->keepalive == 0 &&
-	    ( bu = bee_user_by_handle( sb->ic->bee, sb->ic, sb->who ) ) &&
-	    !( bu->flags & BEE_USER_ONLINE ) &&
-	    set_getbool( &sb->ic->acc->set, "switchboard_keepalives" ) )
-	{
-		if( initial )
-			msn_sb_keepalive( sb, 0, 0 );
-		
-		sb->keepalive = b_timeout_add( 20000, msn_sb_keepalive, sb );
-	}
-}
-
-void msn_sb_stop_keepalives( struct msn_switchboard *sb )
-{
-	if( sb && sb->keepalive > 0 )
-	{
-		b_event_remove( sb->keepalive );
+
+	if (sb && sb->who && sb->keepalive == 0 &&
+	    (bu = bee_user_by_handle(sb->ic->bee, sb->ic, sb->who)) &&
+	    !(bu->flags & BEE_USER_ONLINE) &&
+	    set_getbool(&sb->ic->acc->set, "switchboard_keepalives")) {
+		if (initial) {
+			msn_sb_keepalive(sb, 0, 0);
+		}
+
+		sb->keepalive = b_timeout_add(20000, msn_sb_keepalive, sb);
+	}
+}
+
+void msn_sb_stop_keepalives(struct msn_switchboard *sb)
+{
+	if (sb && sb->keepalive > 0) {
+		b_event_remove(sb->keepalive);
 		sb->keepalive = 0;
 	}
